/*
 * Copyright (c) 2004, 2005 Sendmail, Inc. and its suppliers.
 *      All rights reserved.
 *
 * By using this file, you agree to the terms and conditions set
 * forth in the LICENSE file which can be found at the top level of
 * the sendmail distribution.
 *
 *	$Id: cnf.h,v 1.6 2013/10/23 22:13:38 ca Exp $
 */

#ifndef SM_CNF_H
#define SM_CNF_H 1

/* field names for event thread related configuration options */
#define EVTHR_CNF_THR_MIN	"threads_min"
#define EVTHR_CNF_THR_MAX	"threads_max"
#define EVTHR_CNF_FD_MAX	"fds_max"

/* comments for event thread related configuration options */
#define EVTHR_COMM_THR_MIN "minimum number of threads [experts only]"
#define EVTHR_COMM_THR_MAX "maximum number of threads [experts only]"
#define EVTHR_COMM_FD_MAX "maximum number of file descriptors [experts only]"

#define SM_CNF_LOG "specify syslog(3) configuration instead of logging to files"

#endif /* SM_CNF_H */
